Bug 1343935 - [RFE] User specified rules for auto-attach [NEEDINFO]
Summary: [RFE] User specified rules for auto-attach
Keywords:
Status: NEW
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: candlepin-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1422844
TreeView+ depends on / blocked
 
Reported: 2016-06-08 11:08 UTC by Beat Rubischon
Modified: 2021-07-01 14:25 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
mschibli: needinfo? (candlepin-bugs)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1401106 0 medium CLOSED [RFE] Subscription-Intent: Allow a user to express the intent of how a subscription should be used, using a rules based ... 2021-09-09 12:01:28 UTC

Internal Links: 1401106

Description Beat Rubischon 2016-06-08 11:08:56 UTC
Description of problem:

"subscription-manager auto-attach" takes the "first" available entitlement offering the required RHEL subscription. I saw a Datacenter Subscription on a standalone system (SFDC 01627925, account 818035), which confused the customer.

Version-Release number of selected component (if applicable):

subscription-manager-1.15.9-15.el7.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Choose an account with a large amount of different entitlements
2. Run subscription-manager auto-attach

Actual results:

A random entitlement is taken.

Expected results:

A useful subscription attached.

Additional info:

From Red Hat point ov view, the most expensive entitlement should be applied (I think about RHEL Premium, RHEL Standard, Developer subscriptions).

From Customer point of view, the least expensive entitlement should be applied.

Datacenter entitlements or products with included RHEL subscriptions (OpenShift, OpenStack, Satellite, ...) should never be applied automatically.

Comment 7 Klaas Demter 2018-11-26 10:46:17 UTC
is syspurpose in rhel 8 a first step towards the goal of this bz?

https://pykickstart.readthedocs.io/en/latest/kickstart-docs.html#syspurpose

Comment 8 Rich Jerrido 2018-11-26 12:18:47 UTC
(In reply to Klaas Demter from comment #7)
> is syspurpose in rhel 8 a first step towards the goal of this bz?
> 
> https://pykickstart.readthedocs.io/en/latest/kickstart-docs.html#syspurpose

Sort of. As RHEL8 doesn't have variants (Server/Workstation/ComputeNode), we needed a means to allow the user to describe the usage of the system. 

That data (the system purpose) is fed to the subscription tools (sub-man/Candlepin) as will be used as a heuristic to better attach subscriptions. 

If (when?) we chose to implement truly user-specified rules (see also bz1401106), syspurpose would be one of the many parameters the user can use.


Note You need to log in before you can comment on or make changes to this bug.